Package com.independentsoft.office.odf

# Class UserDefinedMetadataElement

java.lang.Object
com.independentsoft.office.odf.UserDefinedMetadataElement

public class UserDefinedMetadataElement extends Object
Represents any additional user-defined metadata for a document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserDefinedMetadataElement()`
  Initializes a new instance of the UserDefinedMetadataElement class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserDefinedMetadataElement`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getName()`
  Gets the name of the metadata element.
  `UserDefinedMetadataElementType`
  `getType()`
  Gets the type of the metadata element.
  `String`
  `getValue()`
  Gets the value of the metadata element.
  `void`
  `setName​(String name)`
  Sets the name of the metadata element.
  `void`
  `setType​(UserDefinedMetadataElementType type)`
  Sets the type of the metadata element.
  `void`
  `setValue​(String value)`
  Sets the value of the metadata element.
  `String`
  `toString()`
  Converts the value of the current UserDefinedMetadataElement object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserDefinedMetadataElement

    public UserDefinedMetadataElement()
    Initializes a new instance of the UserDefinedMetadataElement class.

- ## Method Details

  - ### clone

    public UserDefinedMetadataElement clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current UserDefinedMetadataElement object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of the metadata element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of the metadata element.
    Parameters:
      `name` - the new name

  - ### getType

    public UserDefinedMetadataElementType getType()
    Gets the type of the metadata element.
    Returns:
      the type

  - ### setType

    public void setType​(UserDefinedMetadataElementType type)
    Sets the type of the metadata element.
    Parameters:
      `type` - the new type

  - ### getValue

    public String getValue()
    Gets the value of the metadata element.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value of the metadata element.
    Parameters:
      `value` - the new value